%This function calculates the equilibrium composition
%Input:
%   Tint interface temperature
%   P pressure [Pa]
%Output:
%   Xet molefraction condensate


function [Xet]= Xequilibrium(Tint,P)


%load correct equilibriumdata according to pressure

if P<2.01e+6
load equilibriumdata_P_20;
elseif P<2.02e+6
    load equilibriumdata_P_201;
elseif P<2.03e+6
    load equilibriumdata_P_202;
elseif P<2.04e+6
    load equilibriumdata_P_203;
elseif P<2.05e+6
    load equilibriumdata_P_204;
elseif P<2.06e+6
    load equilibriumdata_P_205;
elseif P<2.07e+6
    load equilibriumdata_P_206;
elseif P<2.08e+6
    load equilibriumdata_P_207;
elseif P<2.09e+6
    load equilibriumdata_P_208;
elseif P<2.1e+6
    load equilibriumdata_P_209;
else
    load equilibriumdata_P_21;
end
 

%Interpolate to find correct interface composition
l1=Tint+0.1;
l2=Tint-0.1;

j=find(Ti<l1 & Ti>l2);

[m n]=size(j);


if n==0
    l1=Tint+0.2;
    l2=Tint-0.2;
    
    
    j=find(Ti<l1 & Ti>l2);
    
    [m n]=size(j);
    
    if n==0
        l1=Tint+0.3;
        l2=Tint-0.3;
    
        j=find(Ti<l1 & Ti>l2);
        
        [m n]=size(j);
        
         if n==0
            l1=Tint+0.4;
            l2=Tint-0.4;
    
            j=find(Ti<l1 & Ti>l2);
            
            [m n]=size(j);
            
            if n==0
                l1=Tint+0.5;
                l2=Tint-0.5;
    
                j=find(Ti<l1 & Ti>l2);
            
                [m n]=size(j);
                
                if n==1
                    Xet=xeti(j);                  
                else
                    xeinter=xeti(j);
                    Tinter=Ti(j);

                    Xet=(Tint-Tinter(2))*(xeinter(2)-xeinter(1))/...
                        (Tinter(2)-Tinter(1))+xeinter(1);
                end
                
            elseif n==1
                    Xet=xeti(j);                    
            else
                    xeinter=xeti(j);
                    Tinter=Ti(j);

                    Xet=(Tint-Tinter(2))*(xeinter(2)-xeinter(1))/...
                        (Tinter(2)-Tinter(1))+xeinter(1);
            end
         
         elseif n==1
                     Xet=xeti(j);                    
         else
                    xeinter=xeti(j);
                    Tinter=Ti(j);
                   
                    Xet=(Tint-Tinter(2))*(xeinter(2)-xeinter(1))/...
                        (Tinter(2)-Tinter(1))+xeinter(1);
         end
         
    elseif n==1
                 Xet=xeti(j);                 
    else
                    xeinter=xeti(j);
                    Tinter=Ti(j);
                  
                    Xet=(Tint-Tinter(2))*(xeinter(2)-xeinter(1))/...
                        (Tinter(2)-Tinter(1))+xeinter(1);
                end
elseif n==1
                    Xet=xeti(j);                   
else                 
                    xeinter=xeti(j);
                    Tinter=Ti(j);
                  
                    Xet=(Tint-Tinter(2))*(xeinter(2)-xeinter(1))/...
                        (Tinter(2)-Tinter(1))+xeinter(1);
                end
    