%This function calculates the Ackermann factor according to \cite{Webb99}
%Input:
%   ne  flux of ethane
%   np  flux of propane
%   hg  vapour heat transfer coefficient
%   T   vapour temperature
%Output:
%   eps ackermann factor

function eps=ackermann(ne,np,hg,T)


%calculate heatcapacity based on \cite{Perry08}
cpetv=31742+26.567*T+0.12927*T.^2;
cpprv=26675+147.04*T;

%calculate ackermann factor
eps=(ne.*cpetv+np.*cpprv)./hg;