%This function is similar to condensermodell3.m, except a change in U and
%Us. For comments, see condensermodell3.m


function f=condensermodell7(y,An,n,xn,Am,m,xm,Ao,o,xo,Tdew,y0,Nel0,Npl0,Nev0,Npv0)


z=n+2;

T1=sqrt(y(1:z).^2);
P1=sqrt(y(z+1:2*z).^2);
Ta1=sqrt(y(2*z+1:3*z).^2);


xs=3*z;
x=m+2;
T2=sqrt(y(xs+1:xs+x).^2);
P2=sqrt(y(xs+x+1:xs+2*x).^2);
Ta2=sqrt(y(xs+2*x+1:xs+3*x).^2);
Nev2=sqrt(y(xs+3*x+1:xs+4*x).^2);
Npv2=sqrt(y(xs+4*x+1:xs+5*x).^2);
nt2=y(xs+5*x+1:xs+6*x);
ne2=y(xs+6*x+1:xs+7*x);


xd=3*z+7*x;

xx=o+2;
T3=sqrt(y(xd+1:xd+xx).^2);
P3=sqrt(y(xd+xx+1:xd+2*xx).^2);
Ta3=sqrt(y(xd+2*xx+1:xd+3*xx).^2);
Nev3=sqrt(y(xd+3*xx+1:xd+4*xx).^2);
Npv3=sqrt(y(xd+4*xx+1:xd+5*xx).^2);
nt3=y(xd+5*xx+1:xd+6*xx);
ne3=y(xd+6*xx+1:xd+7*xx);

A1=y(xd+7*xx+1);
A2=y(xd+7*xx+2);
kp=y(xd+7*xx+3);
A3=y(xd+7*xx+4);
constant;

hg=300;

Us=424;

U=566.32;

hg3=300;
%boundry conditions at x=0;

f(1)=T1(1)-y0(1,1); %
f(z+1)=P1(1)-y0(1,2); %
f(2*z+1)=An(1,:)*Ta1(:)+Us*A1*(T1(1)-Ta1(1))/(msw*cpsw); 


%for n internal collocation points

for j=2:n+1
    f(j)=An(j,:)*T1(:)+Us*A1*(T1(j)-Ta1(j))/((Nev0+Npv0)*heatcapacity(T1(j),Nev0,Npv0));
    f(z+j)=An(j,:)*P1(:)+kp*A1;
    f(2*z+j)=An(j,:)*Ta1(:)+Us*A1*(T1(j)-Ta1(j))/(msw*cpsw);

end

%for x=1
f(z)=An(n+2,:)*T1(:)+Us*A1*(T1(n+2)-Ta1(n+2))/((Nev0+Npv0)*heatcapacity(T1(n+2),Nev0,Npv0));
f(2*z)=An(n+2,:)*P1(:)+kp*A1;
f(3*z)=Ta1(n+2)-Ta2(1);





ack=ones(1,m+2)';
cpg=ones(1,m+2)';
beta=ones(1,m+2)';
teta=ones(1,m+2)';
hg0=ones(1,m+2)';
hvf=ones(1,m+2)';
yE=ones(1,m+2)';
Tint2=297.*ones(1,m+2)';


Nel2=Nev0*ones(1,m+2)'-Nev2+Nel0;
Npl2=Npv0*ones(1,m+2)'-Npv2+Npl0;
np2=nt2-ne2;

np3=nt3-ne3;
Nel3=ne3;
Npl3=np3;



f(xs+1)=T2(1)-T1(n+2);
f(xs+x+1)=P2(1)-P1(n+2);
f(xs+2*x+1)=Am(1,:)*Ta2(:)+U*A2*(T2(1)-Ta2(1))/(msw*cpsw); 
f(xs+3*x+1)=Nev2(1)-Nev0;
f(xs+4*x+1)=Npv2(1)-Npv0;
f(xs+5*x+1)=nt2(1);
f(xs+6*x+1)=ne2(1);


    for i=2:m+1
        ack(i)=ackermann(ne2(i),np2(i),hg,T2(i));
        cpg(i)=heatcapacity(T2(i),Nev2(i),Npv2(i));
        beta(i)=masstransfer2(T2(i),P2(i),hg,Nev2(i),Npv2(i));
        teta(i)=nt2(i)/beta(i);
        hg0(i)=hg*ack(i)/(exp(ack(i))-1);
        hvf(i)=(-ne2(i)*heatofcond(T2(i),1)-np2(i)*heatofcond(T2(i),0))/nt2(i);
        yE(i)=Nev2(i)/(Nev2(i)+Npv2(i));
        Tint2(i)=Tinterface(Nel2(i),Npl2(i),P2(i));
    
        
        f(xs+i)=Am(i,:)*T2(:)+hg0(i)*A2*(T2(i)-Tint2(i))/((Nev2(i)+Npv2(i))*cpg(i));
        f(xs+x+i)=Am(i,:)*P2(:)+kp*A2;%*xm(i);
        f(xs+2*x+i)=Am(i,:)*Ta2(:)+U*A2*(Tint2(i)-Ta2(i))/(msw*cpsw);
        f(xs+3*x+i)=Am(i,:)*Nev2(:)+ne2(i)*A2;
        f(xs+4*x+i)=Am(i,:)*Npv2(:)+np2(i)*A2;
        f(xs+5*x+i)=nt2(i)-(U*(Tint2(i)-Ta2(i))-heatcapacitycond(Tint2(i),Nel2(i),Npl2(i))*(Nel2(i)+Npl2(i))*(Tint2(i-1)-Tint2(i))/A2)/hvf(i);
        f(xs+6*x+i)=ne2(i)-(beta(i)*teta(i)*(yE(i)-yequilibrium(Nel2(i),Npl2(i),P2(i)))/(exp(teta(i))-1)+yE(i)*nt2(i));

    end


    ack(m+2)=ackermann(ne2(m+2),np2(m+2),hg,T2(m+2));
    cpg(m+2)=heatcapacity(T2(m+2),Nev2(m+2),Npv2(m+2));
    beta(m+2)=masstransfer2(T2(m+2),P2(m+2),hg,Nev2(m+2),Npv2(m+2));
    teta(m+2)=nt2(m+2)/beta(m+2);
    hg0(m+2)=hg*ack(m+2)/(exp(ack(m+2))-1);
    hvf(m+2)=(-ne2(m+2)*heatofcond(T2(m+2),1)-np2(m+2)*heatofcond(T2(m+2),0))/nt2(m+2);
    yE(m+2)=Nev2(m+2)/(Nev2(m+2)+Npv2(m+2));
    Tint2(m+2)=Tinterface(Nel2(m+2),Npl2(m+2),P2(m+2));
    
        
    
    f(xs+x)=Am(m+2,:)*T2(:)+hg0(m+2)*A2*(T2(m+2)-Tint2(m+2))/((Nev2(m+2)+Npv2(m+2))*cpg(m+2));
    f(xs+2*x)=Am(m+2,:)*P2(:)+kp*A2;
    f(xs+3*x)=Ta2(m+2)-Ta3(1);
    f(xs+4*x)=Am(m+2,:)*Nev2(:)+ne2(m+2)*A2;
    f(xs+5*x)=Am(m+2,:)*Npv2(:)+np2(m+2)*A2;
    f(xs+6*x)=nt2(m+2)-(U*(Tint2(m+2)-Ta2(m+2))-heatcapacitycond(Tint2(m+2),Nel2(m+2),Npl2(m+2))*(Nel2(m+2)+Npl2(m+2)-Nel0-Npl0)*(Tint2(m+1)-Tint2(m+2))/A2)/hvf(m+2);
    f(xs+7*x)=ne2(m+2)-(beta(m+2)*teta(m+2)*(yE(m+2)-yequilibrium(Nel2(m+2),Npl2(m+2),P2(m+2)))/(exp(teta(m+2))-1)+yE(m+2)*nt2(m+2)); 
    
ack3=ones(1,o+2)';
cpg3=ones(1,o+2)';
beta3=ones(1,o+2)';
teta3=ones(1,o+2)';
hg03=ones(1,o+2)';
hvf3=ones(1,o+2)';
yE3=ones(1,o+2)';
Tint3=296.*ones(1,o+2)';


f(xd+1)=T3(1)-T2(m+2);
f(xd+xx+1)=P3(1)-P2(m+2);
f(xd+2*xx+1)=Ao(1,:)*Ta3(:)+U*A3*(T3(1)-Ta3(1))/(msw*cpsw); %Ta
f(xd+3*xx+1)=Nev3(1)-Nev2(m+2);
f(xd+4*xx+1)=Npv3(1)-Npv2(m+2);
f(xd+5*xx+1)=nt3(1)-nt2(m+2);
f(xd+6*xx+1)=ne3(1)-ne2(m+2);



    for i=2:o+1
        ack3(i)=ackermann(ne3(i),np3(i),hg3,T3(i));
        cpg3(i)=heatcapacity(T3(i),Nev3(i),Npv3(i));
        beta3(i)=masstransfer2(T3(i),P3(i),hg3,Nev3(i),Npv3(i));
        teta3(i)=nt3(i)/beta3(i);
        hg03(i)=hg3*ack3(i)/(exp(ack3(i))-1);
        hvf3(i)=(-ne3(i)*heatofcond(T3(i),1)-np3(i)*heatofcond(T3(i),0))/nt3(i);
        yE3(i)=Nev3(i)/(Nev3(i)+Npv3(i));
        xE3(i)=Xequilibrium(Tint3(i),P3(i));
        Tint3(i)=Tinterface(Nel3(i),Npl3(i),P3(i));
        
        f(xd+i)=Ao(i,:)*T3(:)+hg03(i)*A3*(T3(i)-Tint3(i))/((Nev3(i)+Npv3(i))*cpg3(i));
        f(xd+xx+i)=Ao(i,:)*P3(:)+kp*A3;
        f(xd+2*xx+i)=Ao(i,:)*Ta3(:)+U*A3(1)*(Tint3(i)-Ta3(i))/(msw*cpsw);
        f(xd+3*xx+i)=Ao(i,:)*Nev3(:)+ne3(i)*A3(1);
        f(xd+4*xx+i)=Ao(i,:)*Npv3(:)+np3(i)*A3(1);
        f(xd+5*xx+i)=nt3(i)-(U*(Tint3(i)-Ta3(i))-heatcapacitycond(Tint3(i),Nel3(i),Npl3(i))*(Nel3(i)+Npl3(i))*(Tint3(i-1)-Tint3(i))/A3)/hvf3(i);
        f(xd+6*xx+i)=ne3(i)-(beta3(i)*teta3(i)*(yE3(i)-yequilibrium(Nel3(i),Npl3(i),P3(i)))/(exp(teta3(i))-1)+yE3(i)*nt3(i));

  

    end


    ack3(o+2)=ackermann(ne3(o+2),np3(o+2),hg,T3(o+2));
    cpg3(o+2)=heatcapacity(T3(o+2),Nev3(o+2),Npv3(o+2));
    beta3(o+2)=masstransfer2(T3(o+2),P3(o+2),hg,Nev3(o+2),Npv3(o+2));
    teta3(o+2)=nt3(o+2)/beta3(o+2);
    hg03(o+2)=hg*ack3(o+2)/(exp(ack3(o+2))-1);
    hvf3(o+2)=(-ne3(o+2)*heatofcond(T3(o+2),1)-np3(o+2)*heatofcond(T3(o+2),0))/nt3(o+2);
    yE3(o+2)=Nev3(o+2)/(Nev3(o+2)+Npv3(o+2));
    xE3(o+2)=Xequilibrium(Tint3(o+2),P3(o+2));
    Tint3(o+2)=Tinterface(Nel3(o+2),Npl3(o+2),P3(o+2));
    
    f(xd+xx)=Ao(o+2,:)*T3(:)+hg03(o+2)*A3*(T3(o+2)-Tint3(o+2))/((Nev3(o+2)+Npv3(o+2))*cpg3(o+2));
    f(xd+2*xx)=Ao(o+2,:)*P3(:)+kp*A3;
    f(3*xx+xd)=Ta3(o+2)-y0(1,3);
    f(4*xx+xd)=Ao(o+2,:)*Nev3(:)+ne3(o+2)*A3;
    f(5*xx+xd)=Ao(o+2,:)*Npv3(:)+np3(o+2)*A3;
    f(xd+6*xx)=nt3(o+2)-(U*(Tint3(o+2)-Ta3(o+2))-heatcapacitycond(Tint3(o+2),Nel3(o+2),Npl3(o+2))*(Nel3(o+2)+Npl3(o+2))*(Tint3(o+1)-Tint3(o+2))/A3)/hvf3(o+2);
    f(xd+7*xx)=ne3(o+2)-(beta3(o+2)*teta3(o+2)*(yE3(o+2)-yequilibrium(Nel3(o+2),Npl3(o+2),P3(o+2)))/(exp(teta3(o+2))-1)+yE3(o+2)*nt3(o+2));

f(7*xx+xd+1)=T1(n+2)-Tdew;
Mv=Nev2(m+2)*Meth+Npv2(m+2)*Mprop;
Ml=Nel2(m+2)*Meth+Npl2(m+2)*Mprop;
vappros=Mv./(Mv+Ml);
f(7*xx+xd+2)=vappros-0.1237;
f(7*xx+xd+3)=P2(m+2)-2040*10^3;


f(7*xx+xd+4)=T3(o+2)-(283);
