%This function calculates the conductivity of the fluid
%Input:
%   T temperature 
%   state indicates if fluid is vapour or condensate
%Output:
%   lamda conductivity

function lamdas=conductivity(T,state)

Tc=T-273;

%state=0: vapour
%state=1: condensate

if state==0
    lamdas=6E-5.*Tc+0.0213;
else
    lamdas=2E-5.*Tc.^2-0.0009.*Tc+0.0954;
end