%This function gives the residuals for the condenser equations

function f=cooling(y,An,n,Am,m,Tdew,y0)

constant

y=sqrt(y.^2);

hg=300;
U=500;



% %boundary condition at x=0
% 
f(1,1)=y(1,1)-y0(1,1); %
f(1,2)=y(1,2)-y0(1,2); %
f(1,3)=An(1,:)*y(:,3)+U*y(1,9)*(y(1,1)-y(1,3))/(msw*cpsw); %Ta
f(1,4)=y(1,4)-y0(1,4); %
f(1,5)=y(1,5)-y0(1,5); %
f(1,6)=y(1,6)-y0(1,6); %
f(1,7)=y(1,7)-y0(1,7); %
% f(1,8)=y(1,8)-heatcapacity(y(1,1),y(1,4),y(1,5)); %Heat capacity
f(1,9)=y(n+2,1)-Tdew;
% n internal collocation points
for i=2:n+1
    f(i,1)=An(i,:)*y(:,1)+U*y(1,9)*(y(i,1)-y(i,3))/...
        ((y(i,4)+y(i,5))*heatcapacity(y(i,1),y(i,4),y(i,5)));
    f(i,2)=y(i,2)-y0(1,2);
    f(i,3)=An(i,:)*y(:,3)+U*y(1,9)*(y(i,1)-y(i,3))/(msw*cpsw);
    f(i,4)=y(i,4)-y0(1,4);
    f(i,5)=y(i,5)-y0(1,5);
    f(i,6)=y(i,6)-y0(1,6);
    f(i,7)=y(i,7)-y0(1,7);
    f(i,8)=y(i,8)-y(1,8);
%     f(i,8)=y(i,8)-heatcapacity(y(i,1),y(i,4),y(i,5));
%     f(i,9)=An(i,:)*y(:,9);
%     f(i,10)=An(i,:)*y(:,10);
%     f(i,11)=An(i,:)*y(:,11);
%     f(i,12)=An(i,:)*y(:,12);
%     f(i,13)=y(i,13)-yequilibrium(y(i,6),y(i,7)); %yEq
%     f(i,14)=y(i,14)-Tinterface(y(i,6),y(i,7));  %Tinterface
%     f(i,15)=An(i,:)*y(:,15);
%     f(i,16)=An(i,:)*y(:,16);
%     f(i,17)=An(i,:)*y(:,17);

end
%boundary condition at x=1
    f(n+2,1)=An(n+2,:)*y(:,1)+U*y(1,9)*...
        (y(n+2,1)-y(n+2,3))/((y(n+2,4)+y(n+2,5))*...
        heatcapacity(y(n+2,1),y(n+2,4),y(n+2,5)));
    f(n+2,2)=y(n+2,2)-y0(1,2);
    f(n+2,3)=y(n+2,3)-y0(3);
    f(n+2,4)=y(n+2,4)-y0(1,4);
    f(n+2,5)=y(n+2,5)-y0(1,5);
    f(n+2,6)=y(n+2,6)-y0(1,6);
    f(n+2,7)=y(n+2,7)-y0(1,7);
%     f(n+2,8)=y(n+2,8)-heatcapacity(y(n+2,1),y(n+2,4),y(n+2,5));
%     f(n+2,9)=An(n+2,:)*y(:,9);
%     f(n+2,10)=An(n+2,:)*y(:,10);
%     f(n+2,11)=An(n+2,:)*y(:,11);
%     f(n+2,12)=An(n+2,:)*y(:,12);
%     f(n+2,13)=y(n+2,13)-yequilibrium(y(n+2,6),y(n+2,7)); %yEq
%     f(n+2,14)=y(n+2,14)-...
%       Tinterface(y(n+2,6),y(n+2,7));  %Tinterface
%     f(n+2,15)=An(n+2,:)*y(:,15);
%     f(n+2,16)=An(n+2,:)*y(:,16);
%     f(n+2,17)=An(n+2,:)*y(:,17);
    
%  

% f(1,:)=y(1,:)-y0(1,:); %
% f(1,1)=y(1,1)-Tdew;
% f(1,3)=Am(1,:)*y(:,3)+U*(y(1,1)-y(1,3))/(msw*cpsw); %Ta
% f(1,9)=y(1,9)-heatcapacity(y(1,1),y(1,4),y(1,5)); %Heat capacity
% 
% for i=2:m+1
%     f(i,1)=Am(i,:)*y(:,1)+hg*(y(i,15)/...
%               (exp(y(i,15))-1))*(y(i,1)-y(i,14))/...
%               ((y(i,4)+y(i,5))*y(i,9));
%     f(i,2)=Am(i,:)*y(:,2);
%     f(i,3)=Am(i,:)*y(:,3)+U*(y(i,14)-y(i,3))/(msw*cpsw);
%     f(i,4)=Am(i,:)*y(:,4)+y(i,11);
%     f(i,5)=Am(i,:)*y(:,5)+y(i,12);
%     f(i,6)=Am(i,:)*y(:,6)-y(i,11);
%     f(i,7)=Am(i,:)*y(:,7)-y(i,12);
%     f(i,9)=y(i,9)-heatcapacity(y(i,1),y(i,4),y(i,5));
%     f(i,10)=y(i,10)-U*(y(i,14)-y(i,3))/...
% (y(i,17)+y(i,9)*(y(i,1)-y(i,14))/...
%     (1-exp(y(i,15))));  %Total condensation flux
%     f(i,11)=y(i,11)-y(i,10)/(exp(y(i,10)/y(i,16))-1)*...
% (y(i,4)/(y(i,4)+y(i,5))-y(i,13))+(y(i,4)/...
%     (y(i,4)+y(i,5)))*y(i,10);   %condensation flux of ethane
%     f(i,12)=y(i,10)-y(i,11);    %condensation flux of propane
%     f(i,13)=y(i,13)-yequilibrium(y(i,6),y(i,7)); %yEq
%     f(i,14)=y(i,14)-Tinterface(y(i,6),y(i,7));  %Tinterface
%     f(i,15)=y(i,15)-...
% ackermann(y(i,11),y(i,12),hg,y(i,1)); %epsilon
%     f(i,16)=y(i,16)-...
% masstransfer(y(i,1),y(i,9),y(i,2),hg);  %beta12
%     f(i,17)=y(i,17)-(y(i,11)*heatofcond(y(i,1),1)+...
% y(i,12)*heatofcond(y(i,1),0))/y(i,10);    %total condensation heat
% %     y(i,10)
% end
% 
% %boundry conditions at x=L2, m+t
% 
%     f(m+2,1)=Am(m+2,:)*y(:,1)+hg*(y(m+2,15)/...
%         (exp(y(m+2,15))-1))*(y(m+2,1)-y(m+2,14))/...
%         ((y(m+2,4)+y(m+2,5))*y(m+2,9));
%     f(m+2,2)=Am(m+2,:)*y(:,2);
%     f(m+2,3)=y(m+2,3)-y0(3);
%     f(m+2,4)=Am(m+2,:)*y(:,4)+y(m+2,11);
%     f(m+2,5)=Am(m+2,:)*y(:,5)+y(m+2,12);
%     f(m+2,6)=Am(m+2,:)*y(:,6)-y(m+2,11);
%     f(m+2,7)=Am(m+2,:)*y(:,7)-y(m+2,12);
%     f(m+2,9)=y(m+2,9)-heatcapacity(y(m+2,1),y(m+2,4),y(m+2,5));
%     f(m+2,10)=y(m+2,10)-U*(y(m+2,14)-y(m+2,3))/...
%         (y(m+2,17)+y(m+2,9)*(y(m+2,1)-y(m+2,14))/...
%         (1-exp(y(m+2,15))));  %Total condensation flux
%     f(m+2,11)=y(m+2,11)-y(m+2,10)/(exp(y(m+2,10)/y(m+2,16))-1)...
%         *(y(m+2,4)/(y(m+2,4)+y(m+2,5))-y(m+2,13))+...   %condensation 
%         (y(m+2,4)/(y(m+2,4)+y(m+2,5)))*y(m+2,10);   % flux of ethane
%     f(m+2,12)=y(m+2,10)-y(m+2,11);    %condensation flux of propane
%     f(m+2,13)=y(m+2,13)-yequilibrium(y(m+2,6),y(m+2,7)); %yEq
%     f(m+2,14)=y(m+2,14)-Tinterface(y(m+2,6),y(m+2,7));  %Tinterface
%     f(m+2,15)=y(m+2,15)-...
%         ackermann(y(m+2,11),y(m+2,12),hg,y(m+2,1)); %epsilon
%     f(m+2,16)=y(m+2,16)-...
%         masstransfer(y(m+2,1),y(m+2,9),y(m+2,2),hg);  %beta12
%     f(m+2,17)=y(m+2,17)-(y(m+2,11)*...
%         heatofcond(y(m+2,1),1)+y(m+2,12)*...
%         heatofcond(y(m+2,1),1))/y(m+2,10);    %total condensation heat
% 
return