%This function gives the residuals for the condenser equations

function f=coolingtest(y,An,n,Am,m,Tdew,y0,Nev,Npv)

constant


cpg=55E3;
hg=300;
U=500;


% %boundary condition at x=0
% 
f(1,1)=y(1,1)-y0(1,1); %
f(1,2)=An(1,:)*y(:,2)+U*y(1,4)*(y(1,1)-y(1,2))/(msw*cpsw); %Ta
f(1,3)=y(1,3)-heatcapacity(y(1,1),Nev,Npv); %Heat capacity
f(1,4)=y(n+2,1)-Tdew;
% n internal collocation points
for i=2:n+1
    f(i,1)=An(i,:)*y(:,1)+U*y(1,4)*...
        (y(i,1)-y(i,2))/((Nev+Npv)*y(i,3));
    f(i,2)=An(i,:)*y(:,2)+U*y(1,4)*...
        (y(i,1)-y(i,2))/(msw*cpsw);
    f(i,3)=y(i,3)-heatcapacity(y(i,1),Nev,Npv);


end
%boundary condition at x=1
f(n+2,1)=An(i,:)*y(:,1)+U*y(1,4)*...
    (y(n+2,1)-y(n+2,2))/((Nev+Npv)*y(n+2,3));
f(n+2,2)=y(n+2,2)-y0(2);
f(n+2,3)=y(n+2,3)-heatcapacity(y(n+2,1),Nev,Npv);