%This function calculates the heatcapacity of the stream
%The temperature is in Kelvin and the molfrac is the total molefraction


function CP=heatcapacity(T,Nev,Npv)

%Total molfractions
xetv=Nev./(Nev+Npv); 
xprv=Npv./(Nev+Npv);

%calculate heatcapacities
cpetv=31742+26.567*T+0.12927*T.^2;
cpprv=26675+147.04*T;

%Calculate total heatcapacity
CP=(xetv.*cpetv+xprv.*cpprv); %J/kmol,K