%this function calculates the viscosity of the fluid
%Input:
%   T temperature [K]
%   state indicates if fluid is vapour or condensate

function visc=viscosity(T,state)

%Adjust temperature to \textdegree C
Tc=T-273;

%state=0: vapour
%state=1: condensate

%Calculate viscosity
if state==0
    visc=(2E-5.*Tc+0.0096)*1E-3;
else
    visc=(3E-5.*Tc-0.0011.*Tc+0.0839)*1E-3;
end