%This function is based on the code written by \cite{Nasri09}, and has not
%been modified
clc
global z
clear sol
% flash calculation using fsolve and a zeroorder collocation method
z=[0.0001 0.9999];
options = optimset('Display','off');
[X]=fsolve(@flash,[0.01 0.9 0.01 0.9 360],options);
x0=X;
sol(1,1)=X(1);
sol(2,1)=X(3);
sol(3,1)=X(5);

Z(:,1)=z';
for i=1:100
    z=[0.01*i 1-0.01*i];
    [X]=fsolve(@flash,x0,options);
    x0=X;
    sol(1,i+1)=X(1);
    sol(2,i+1)=X(3);
    sol(3,i+1)=X(5);
    Z(:,1+i)=z';
end
% plotting bubble curve
h=plot(sol(1,:),sol(3,:),'b');
set(h,'linewidth',2)
hold on
% plotting due curve
h=plot(sol(2,:),sol(3,:),'r');
set(h,'linewidth',2)
axis tight
legend ('bubble curve', 'due curve');
xlabel('Ethane vapor or liquid mole fraction')
ylabel('temperature in K')
grid on
hold off